### YamlMime:ManagedReference
items:
- uid: OmiLAXR.xAPI.Tracking.KeyboardGesture
  commentId: T:OmiLAXR.xAPI.Tracking.KeyboardGesture
  id: KeyboardGesture
  parent: OmiLAXR.xAPI.Tracking
  children:
  - OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor
  langs:
  - csharp
  - vb
  name: KeyboardGesture
  nameWithType: KeyboardGesture
  fullName: OmiLAXR.xAPI.Tracking.KeyboardGesture
  type: Class
  source:
    remote:
      path: Runtime/Tracking/Interaction/InteractionGestures.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: KeyboardGesture
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/Interaction/InteractionGestures.cs
    startLine: 17
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: 'public sealed class KeyboardGesture : Gesture'
    content.vb: Public NotInheritable Class KeyboardGesture Inherits Gesture
  inheritance:
  - System.Object
  - OmiLAXR.xAPI.Tracking.Gesture
  inheritedMembers:
  - OmiLAXR.xAPI.Tracking.Gesture.Name
  - OmiLAXR.xAPI.Tracking.Gesture.IsForVR
  - OmiLAXR.xAPI.Tracking.Gesture.IsForDesktop
  - OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  - OmiLAXR.xAPI.Tracking.Gesture.Contains``1
  - OmiLAXR.xAPI.Tracking.Gesture.Get``1
  - OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
  - OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
  - OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
- uid: OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor
  commentId: M:OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor
  id: '#ctor'
  parent: OmiLAXR.xAPI.Tracking.KeyboardGesture
  langs:
  - csharp
  - vb
  name: KeyboardGesture()
  nameWithType: KeyboardGesture.KeyboardGesture()
  fullName: OmiLAXR.xAPI.Tracking.KeyboardGesture.KeyboardGesture()
  type: Constructor
  source:
    remote:
      path: Runtime/Tracking/Interaction/InteractionGestures.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: .ctor
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/Interaction/InteractionGestures.cs
    startLine: 19
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: public KeyboardGesture()
    content.vb: Public Sub New()
  overload: OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor*
  nameWithType.vb: KeyboardGesture.New()
  fullName.vb: OmiLAXR.xAPI.Tracking.KeyboardGesture.New()
  name.vb: New()
references:
- uid: OmiLAXR.xAPI.Tracking
  commentId: N:OmiLAXR.xAPI.Tracking
  href: OmiLAXR.html
  name: OmiLAXR.xAPI.Tracking
  nameWithType: OmiLAXR.xAPI.Tracking
  fullName: OmiLAXR.xAPI.Tracking
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: OmiLAXR.xAPI.Tracking.Gesture
  commentId: T:OmiLAXR.xAPI.Tracking.Gesture
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.Gesture.html
  name: Gesture
  nameWithType: Gesture
  fullName: OmiLAXR.xAPI.Tracking.Gesture
- uid: OmiLAXR.xAPI.Tracking.Gesture.Name
  commentId: P:OmiLAXR.xAPI.Tracking.Gesture.Name
  parent: OmiLAXR.xAPI.Tracking.Gesture
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Name
  name: Name
  nameWithType: Gesture.Name
  fullName: OmiLAXR.xAPI.Tracking.Gesture.Name
- uid: OmiLAXR.xAPI.Tracking.Gesture.IsForVR
  commentId: P:OmiLAXR.xAPI.Tracking.Gesture.IsForVR
  parent: OmiLAXR.xAPI.Tracking.Gesture
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.IsForVR
  name: IsForVR
  nameWithType: Gesture.IsForVR
  fullName: OmiLAXR.xAPI.Tracking.Gesture.IsForVR
- uid: OmiLAXR.xAPI.Tracking.Gesture.IsForDesktop
  commentId: P:OmiLAXR.xAPI.Tracking.Gesture.IsForDesktop
  parent: OmiLAXR.xAPI.Tracking.Gesture
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.IsForDesktop
  name: IsForDesktop
  nameWithType: Gesture.IsForDesktop
  fullName: OmiLAXR.xAPI.Tracking.Gesture.IsForDesktop
- uid: OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  commentId: M:OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  parent: OmiLAXR.xAPI.Tracking.Gesture
  isExternal: true
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  name: Contains(Type)
  nameWithType: Gesture.Contains(Type)
  fullName: OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  spec.csharp:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
    name: Contains
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  - name: (
  - uid: System.Type
    name: Type
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.type
  - name: )
  spec.vb:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
    name: Contains
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Contains(System.Type)
  - name: (
  - uid: System.Type
    name: Type
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.type
  - name: )
- uid: OmiLAXR.xAPI.Tracking.Gesture.Contains``1
  commentId: M:OmiLAXR.xAPI.Tracking.Gesture.Contains``1
  parent: OmiLAXR.xAPI.Tracking.Gesture
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Contains``1
  name: Contains<T>()
  nameWithType: Gesture.Contains<T>()
  fullName: OmiLAXR.xAPI.Tracking.Gesture.Contains<T>()
  nameWithType.vb: Gesture.Contains(Of T)()
  fullName.vb: OmiLAXR.xAPI.Tracking.Gesture.Contains(Of T)()
  name.vb: Contains(Of T)()
  spec.csharp:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Contains``1
    name: Contains
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Contains``1
  - name: <
  - name: T
  - name: '>'
  - name: (
  - name: )
  spec.vb:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Contains``1
    name: Contains
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Contains``1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
  - name: (
  - name: )
- uid: OmiLAXR.xAPI.Tracking.Gesture.Get``1
  commentId: M:OmiLAXR.xAPI.Tracking.Gesture.Get``1
  parent: OmiLAXR.xAPI.Tracking.Gesture
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Get``1
  name: Get<T>()
  nameWithType: Gesture.Get<T>()
  fullName: OmiLAXR.xAPI.Tracking.Gesture.Get<T>()
  nameWithType.vb: Gesture.Get(Of T)()
  fullName.vb: OmiLAXR.xAPI.Tracking.Gesture.Get(Of T)()
  name.vb: Get(Of T)()
  spec.csharp:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Get``1
    name: Get
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Get``1
  - name: <
  - name: T
  - name: '>'
  - name: (
  - name: )
  spec.vb:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Get``1
    name: Get
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Get``1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
  - name: (
  - name: )
- uid: OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
  commentId: M:OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
  parent: OmiLAXR.xAPI.Tracking.Gesture
  isExternal: true
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
  name: Get<T>(Type)
  nameWithType: Gesture.Get<T>(Type)
  fullName: OmiLAXR.xAPI.Tracking.Gesture.Get<T>(System.Type)
  nameWithType.vb: Gesture.Get(Of T)(Type)
  fullName.vb: OmiLAXR.xAPI.Tracking.Gesture.Get(Of T)(System.Type)
  name.vb: Get(Of T)(Type)
  spec.csharp:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
    name: Get
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
  - name: <
  - name: T
  - name: '>'
  - name: (
  - uid: System.Type
    name: Type
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.type
  - name: )
  spec.vb:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
    name: Get
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.Get``1(System.Type)
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
  - name: (
  - uid: System.Type
    name: Type
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.type
  - name: )
- uid: OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
  commentId: M:OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
  parent: OmiLAXR.xAPI.Tracking.Gesture
  isExternal: true
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
  name: FromString(string)
  nameWithType: Gesture.FromString(string)
  fullName: OmiLAXR.xAPI.Tracking.Gesture.FromString(string)
  nameWithType.vb: Gesture.FromString(String)
  fullName.vb: OmiLAXR.xAPI.Tracking.Gesture.FromString(String)
  name.vb: FromString(String)
  spec.csharp:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
    name: FromString
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
    name: FromString
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String)
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
  commentId: M:OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
  parent: OmiLAXR.xAPI.Tracking.Gesture
  isExternal: true
  href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
  name: FromString(string[])
  nameWithType: Gesture.FromString(string[])
  fullName: OmiLAXR.xAPI.Tracking.Gesture.FromString(string[])
  nameWithType.vb: Gesture.FromString(String())
  fullName.vb: OmiLAXR.xAPI.Tracking.Gesture.FromString(String())
  name.vb: FromString(String())
  spec.csharp:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
    name: FromString
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '['
  - name: ']'
  - name: )
  spec.vb:
  - uid: OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
    name: FromString
    href: OmiLAXR.xAPI.Tracking.Gesture.html#OmiLAXR.xAPI.Tracking.Gesture.FromString(System.String[])
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: (
  - name: )
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor*
  commentId: Overload:OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor
  href: OmiLAXR.xAPI.Tracking.KeyboardGesture.html#OmiLAXR.xAPI.Tracking.KeyboardGesture.#ctor
  name: KeyboardGesture
  nameWithType: KeyboardGesture.KeyboardGesture
  fullName: OmiLAXR.xAPI.Tracking.KeyboardGesture.KeyboardGesture
  nameWithType.vb: KeyboardGesture.New
  fullName.vb: OmiLAXR.xAPI.Tracking.KeyboardGesture.New
  name.vb: New
